curl -X POST https://api.whatabot.app/api/v1/workspaces \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Workspace", "timezone": "America/Sao_Paulo"}'
Workspaces
Create Workspace
Create a new workspace.
POST
/
v1
/
workspaces
curl -X POST https://api.whatabot.app/api/v1/workspaces \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Workspace", "timezone": "America/Sao_Paulo"}'
A workspace is an isolated environment within your account. Each workspace has its own flows, sectors, API keys, OAuth clients, and variables — completely separated from other workspaces.
Use workspaces to separate different projects, products, or clients. For example, you might have one workspace for your e-commerce support bot and another for your internal HR bot.
string
required
Your API key (prefixed with
wh_).Body
string
required
Workspace name.
string
Workspace timezone (e.g.
America/Sao_Paulo).Payload examples
- Basic
- With timezone
{
"name": "My Workspace"
}
{
"name": "My Workspace",
"timezone": "America/Sao_Paulo"
}
curl -X POST https://api.whatabot.app/api/v1/workspaces \
-H "X-Api-Key: wh_your_api_key" \
-H "Content-Type: application/json" \
-d '{"name": "My Workspace", "timezone": "America/Sao_Paulo"}'